%define version 3.16.0
%define release alt3
%define pkgdocdir %_defaultdocdir/%packagename-%version

%ifdef snap_date
%global release %release.snap%snap_date
%define sversion snapshot%snap_date
%else
%define sversion %version
%endif

#%%define snap_date 20060422
%setup_python_module PyKDE

Summary: Python bindings for KDE.

Name: %packagename
Version: 3.16.0
Release: alt3
Serial: 1

Source0: %name-%version.tar.bz2
Patch: PyKDE-3.16.0-alt-disable_konsolepart.diff

License: GPL
Group: Development/Python

URL: http://www.riverbankcomputing.co.uk/pykde/

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

BuildPreReq: %py_package_dependencies qt-devel sip-devel
BuildPreReq: gcc-c++ kdelibs-devel libqt3-devel kdebase-devel 



%description
Python bindings for the KDE class library.

%package devel
Requires: %name = %version-%release
Summary:  Sip files for %name
Group: Development/Python
Obsoletes: %modulename-devel

%description devel
Sip files for %modulename to build extension

%package examples
Summary: %modulename examples
Group: Development/Python
Requires: %name

%description examples
This package contains %modulename examples 

%package doc
Summary: Documentation for PyKDE
Group: Development/Python
Requires: %name
Requires: kdelibs-apidocs

%description doc
This package contains docs for %modulename

%prep
%setup
%patch -p1

%build
%add_optflags -fno-strict-aliasing
#export QTDIR=%_libdir/qt3
#export PATH=$PATH:%_qt3dir/bin
%__python configure.py -d %python_sitelibdir
%make_build

%install
%__mkdir_p %buildroot{%_bindir,%_docdir/%name-examples-%version}
%__install -p -m755 contrib/* %buildroot%_bindir/

export QTDIR=%_libdir/qt3
%makeinstall DESTDIR=%buildroot
# Manually install docfiles
mkdir -p %buildroot%pkgdocdir 
install -m0644  AUTHORS THANKS ChangeLog %buildroot%pkgdocdir/
cp -pr examples %buildroot%pkgdocdir/
cp -pr doc %buildroot%pkgdocdir/html


%files
%docdir %pkgdocdir
%pkgdocdir/AUTHORS
%pkgdocdir/THANKS
%pkgdocdir/ChangeLog

%_bindir/*
%python_sitelibdir/*

%files devel
%dir %_datadir/sip
%_datadir/sip/*

%files examples
%docdir %pkgdocdir
%pkgdocdir/examples

%files doc
%docdir %pkgdocdir
%pkgdocdir/html

%changelog
* Wed Feb 07 2007 Alexey Morsov <swi@altlinux.ru> 1:3.16.0-alt3
- fix spec for build on x86_64

* Mon Dec 11 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1:3.16.0-alt2
- Sisyphus build

* Fri Dec 08 2006 Alexey Morozov <morozov@altlinux.org> 1:3.16.0-alt1
- New version (3.16.0)
- Added patch PyKDE-3.16-alt-disable_konsolepart (#0) due to
  http://lists.kde.org/?l=pykde&m=115917365818486&w=2
- Relocated -doc and -examples files into the main package docdir (%pkgdocdir)
- Added dependency on kdelibs-apidocs because python docs come don't contain
  meaningful method descriptions, only method signatures.

* Sun May 28 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1:3.15.2-alt0.snap20060422
- snapshot 20060422

* Sun Apr 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt0.snap20060122
- 4.0.0 snapshot 20060122
- spec from morozov@
- package docs separately

* Sun Oct 30 2005 Andrey Rahmatullin <wrar@altlinux.ru> 4.0.0-alt0.snap20051013
- 4.0.0 snapshot 20051013
- fix descriptions

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 3.11.3-alt0.snap20050104
- Initial build for ALT Linux
